# In case of version update of this package, update also hyphen-et - it's the same source

%define languageenglazy Estonian
%define languagecode    et
%define lc_ctype        et_EE

%define upstream_version 20030606

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+ and LPPL
Group:          System/Internationalization
URL:            http://www.meso.ee/~jjpp/speller/
Source0:        http://www.meso.ee/~jjpp/speller/ispell-et_%{upstream_version}.tar.gz

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-et
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-et_EE <= 1.0.3
Provides:       myspell-et_EE

%rename         hunspell-ee = 0.20030606-4

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n ispell-et-%{upstream_version}

%build

%install
install -D -m 0644 -p latin-1/*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p latin-1/et_*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README COPYRIGHT ChangeLog
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20030606.1-14.mga4
+ Revision: 505608
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20030606.1-13.mga3
+ Revision: 353449
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20030606.1-12.mga3
+ Revision: 325251
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20030606.1-11.mga2
+ Revision: 224620
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20030606.1-10.mga2
+ Revision: 207719
- use better obsoleting of myspell

* Tue Jan 17 2012 kamil <kamil> 0.20030606.1-9.mga2
+ Revision: 197181
- adapt .spec to the current policies

* Thu Mar 24 2011 ahmad <ahmad> 0.20030606.1-8.mga1
+ Revision: 77002
- fix hyphen- Group

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20030606.1-7.mga1
+ Revision: 68749
- imported package hunspell-et


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20030606-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 08 2010 Caolán McNamara <caolanm@redhat.com> - 0.20030606-6
- add Changelog to %%doc

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20030606-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Caolán McNamara <caolanm@redhat.com> - 0.20030606-4
- erroneously imported as hunspell-ee, rename as hunspell-et

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20030606-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 23 2007 Caolán McNamara <caolanm@redhat.com> - 0.20030606-2
- package hyphenation rules

* Fri Nov 23 2007 Caolán McNamara <caolanm@redhat.com> - 0.20030606-1
- canonical upstream tarball

* Thu Aug 09 2007 Caolán McNamara <caolanm@redhat.com> - 0.20030602-2
- clarify license

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20030602-1
- initial version
